Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000183Core InformSource text and punctuationpublic2010-07-07 10:522010-10-28 00:30
ReporterRon Newcomb 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000183: Inform blames the story title for an undeclared object in (+ .. +), or, if there is no title, it crashes.
DescriptionFor the below code, I get:

Problem. In the sentence '"cutebug" by Ron Newcomb' , I was expecting to read something unrecognised, but instead found some text that I couldn't understand - 'bar'.

It is not helpful, if somewhat amusing, to have the error located in the title & author name.

It does this even if the bad inclusion appeared in an extension, which is a bit worse since it's looking in the wrong file.
Minimal Source Text To Reproduce
"cutebug" by Ron Newcomb.

Spot is room.


Include (- Global foo = (+ bar +); -) after "Definitions.i6t".
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships

-  Notes
(0000260)
EmacsUser (manager)
2010-07-07 12:27

Confirmed. Without a title the source provokes an ICE.

I'm not sure what category is the best fit, though I think ``source text'' is a nearer match than ``extensions.''
(0000464)
graham (administrator)
2010-08-31 04:17

A crash while trying to report an error, which occurred only if Inform's record of which sentence it's scanning is null; which hardly ever happens, but can happen if (as here) it is reading text ("bar") which doesn't come from a sentence in the source text as such. In the case where the heading is present, there's coincidentally a value left in this pointer already, so no crash. Anyway, it's fixed.

- Issue History
Date Modified Username Field Change
2010-07-07 10:52 Ron Newcomb New Issue
2010-07-07 12:27 EmacsUser Effect (cosmetic) Error message is badly worded => (critical) Compiler reports internal error
2010-07-07 12:27 EmacsUser Note Added: 0000260
2010-07-07 12:27 EmacsUser Severity mild => critical
2010-07-07 12:27 EmacsUser Status new => confirmed
2010-07-07 12:27 EmacsUser Category Extensions => Source text and punctuation
2010-07-07 12:30 EmacsUser Summary undeclared (+ .. +) inclusion flags the story title as having an error => Inform blames the story title for an undeclared object in (+ .. +), or if there is no title, it crashes.
2010-07-07 12:31 EmacsUser Summary Inform blames the story title for an undeclared object in (+ .. +), or if there is no title, it crashes. => Inform blames the story title for an undeclared object in (+ .. +), or, if there is no title, it crashes.
2010-08-31 04:17 graham Note Added: 0000464
2010-08-31 04:17 graham Status confirmed => resolved
2010-08-31 04:17 graham Resolution open => fixed
2010-08-31 04:17 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker